import request from '@/utils/request'

// 查询公司红包余额日志列表
export function listCompanyRedPackageLogs(query) {
  return request({
    url: '/company/CompanyRedPackageLogs/list',
    method: 'get',
    params: query
  })
}

// 查询公司红包余额日志详细
export function getCompanyRedPackageLogs(id) {
  return request({
    url: '/company/CompanyRedPackageLogs/' + id,
    method: 'get'
  })
}

// 新增公司红包余额日志
export function recharge(data) {
  return request({
    url: '/company/CompanyRedPackageLogs/recharge',
    method: 'post',
    data: data
  })
}
// 新增公司红包余额日志
export function addCompanyRedPackageLogs(data) {
  return request({
    url: '/company/CompanyRedPackageLogs',
    method: 'post',
    data: data
  })
}
// 新增公司红包余额日志
export function rew(data) {
  return request({
    url: '/company/CompanyRedPackageLogs/rew',
    method: 'post',
    data: data
  })
}

// 修改公司红包余额日志
export function updateCompanyRedPackageLogs(data) {
  return request({
    url: '/company/CompanyRedPackageLogs',
    method: 'put',
    data: data
  })
}

// 删除公司红包余额日志
export function delCompanyRedPackageLogs(id) {
  return request({
    url: '/company/CompanyRedPackageLogs/' + id,
    method: 'delete'
  })
}

// 导出公司红包余额日志
export function exportCompanyRedPackageLogs(query) {
  return request({
    url: '/company/CompanyRedPackageLogs/export',
    method: 'get',
    params: query
  })
}

// 导出公司红包余额日志
export function getMoneyPri() {
  return request({
    url: '/company/CompanyRedPackageLogs/getMoneyPri',
    method: 'get',
  })
}
